
set( otsdaq_VERSION 2.04.01 )
set( otsdaq_UPS_VERSION v2_04_01 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################


    find_ups_xdaq( v11_2_7 )

## find_library directives
find_ups_product( artdaq v0_04_02 )
find_ups_boost( v1_53_0 )
find_ups_product( TRACE v3_03_00 )
find_ups_product( art v1_08_10 )
find_ups_product( canvas v1_06_00 )
find_ups_product( cppunit  )
find_ups_product( clhep  )
find_ups_product( cetlib_except  )
find_ups_product( cetlib v2_01_00 )
find_ups_product( sqlite  )
find_ups_product( hep_concurrency  )
find_ups_product( tbb  )
  cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
  cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
find_ups_product( fhiclcpp  )
find_ups_product( python  )
find_ups_product( messagefacility  )
find_ups_product( range  )
  cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
find_ups_product( canvas_root_io v1_00_00 )
find_ups_root(  )
find_ups_product( artdaq_core v1_03_01 )
find_ups_product( cetpkgsupport v1_08_03 )
find_ups_product( artdaq_utilities v1_00_00 )
find_ups_product( xmlrpc_c v1_25_18 )
find_ups_product( art_root_io v1_00_00 )
find_ups_product( artdaq_database v1_03_07 )
find_ups_product( mongodb v4_0_8 )
set(ARTDAQ-OTS_ARTMODULES_ARTDAQOTSBUILDINFO_MODULE "$ENV{OTSDAQ_LIB}/libartdaq-ots_ArtModules_ArtdaqOtsBuildInfo_module.so")
set(ARTDAQ-OTS_ARTMODULES_UDPDUMP_MODULE "$ENV{OTSDAQ_LIB}/libartdaq-ots_ArtModules_UDPDump_module.so")
set(ARTDAQ-OTS_ARTMODULES_JSONDISPATCHER_MODULE "$ENV{OTSDAQ_LIB}/libartdaq-ots_ArtModules_JSONDispatcher_module.so")
set(ARTDAQ-OTS_OVERLAYS "$ENV{OTSDAQ_LIB}/libartdaq-ots_Overlays.so")
set(ARTDAQ-OTS_GENERATORS_UDPRECEIVER_GENERATOR "$ENV{OTSDAQ_LIB}/libartdaq-ots_Generators_UDPReceiver_generator.so")
set(ARTDAQ-OTS_BUILDINFO "$ENV{OTSDAQ_LIB}/libartdaq-ots_BuildInfo.so")
set(ARTDAQDATAMANAGER "$ENV{OTSDAQ_LIB}/libARTDAQDataManager.so")
set(ARTDAQREADERCORE "$ENV{OTSDAQ_LIB}/libARTDAQReaderCore.so")
set(BITMANIPULATOR "$ENV{OTSDAQ_LIB}/libBitManipulator.so")
set(CGIDATAUTILITIES "$ENV{OTSDAQ_LIB}/libCgiDataUtilities.so")
set(CONFIGURATIONINTERFACE "$ENV{OTSDAQ_LIB}/libConfigurationInterface.so")
set(CONFIGURABLE "$ENV{OTSDAQ_LIB}/libConfigurable.so")
set(CORESUPERVISORS "$ENV{OTSDAQ_LIB}/libCoreSupervisors.so")
set(DATAMANAGER "$ENV{OTSDAQ_LIB}/libDataManager.so")
set(OTSDAQ-CORE_DATAPROCESSORPLUGINS_ARTDAQCONSUMER_PROCESSOR "$ENV{OTSDAQ_LIB}/libotsdaq-core_DataProcessorPlugins_ARTDAQConsumer_processor.so")
set(OTSDAQ-CORE_DATAPROCESSORPLUGINS_ARTDAQPRODUCER_PROCESSOR "$ENV{OTSDAQ_LIB}/libotsdaq-core_DataProcessorPlugins_ARTDAQProducer_processor.so")
set(OTSDAQ-CORE_DATAPROCESSORPLUGINS_UDPDATALISTENERPRODUCER_PROCESSOR "$ENV{OTSDAQ_LIB}/libotsdaq-core_DataProcessorPlugins_UDPDataListenerProducer_processor.so")
set(OTSDAQ-CORE_DATAPROCESSORPLUGINS_UDPDATASTREAMERCONSUMER_PROCESSOR "$ENV{OTSDAQ_LIB}/libotsdaq-core_DataProcessorPlugins_UDPDataStreamerConsumer_processor.so")
set(OTSDAQ-CORE_DATAPROCESSORPLUGINS_TCPDATALISTENERPRODUCER_PROCESSOR "$ENV{OTSDAQ_LIB}/libotsdaq-core_DataProcessorPlugins_TCPDataListenerProducer_processor.so")
set(OTSDAQ-CORE_DATAPROCESSORPLUGINS_TCPDATASTREAMERCONSUMER_PROCESSOR "$ENV{OTSDAQ_LIB}/libotsdaq-core_DataProcessorPlugins_TCPDataStreamerConsumer_processor.so")
set(OTSDAQ-CORE_DATAPROCESSORPLUGINS_RAWDATASAVERCONSUMER_PROCESSOR "$ENV{OTSDAQ_LIB}/libotsdaq-core_DataProcessorPlugins_RawDataSaverConsumer_processor.so")
set(OTSDAQ-CORE_DATAPROCESSORPLUGINS_RAWDATAVISUALIZERCONSUMER_PROCESSOR "$ENV{OTSDAQ_LIB}/libotsdaq-core_DataProcessorPlugins_RawDataVisualizerConsumer_processor.so")
set(OTSDAQ-CORE_DATAPROCESSORPLUGINS_OTSDATASAVERCONSUMER_PROCESSOR "$ENV{OTSDAQ_LIB}/libotsdaq-core_DataProcessorPlugins_OtsDataSaverConsumer_processor.so")
set(FINITESTATEMACHINE "$ENV{OTSDAQ_LIB}/libFiniteStateMachine.so")
set(GATEWAYSUPERVISOR "$ENV{OTSDAQ_LIB}/libGatewaySupervisor.so")
set(MESSAGEFACILITY "$ENV{OTSDAQ_LIB}/libMessageFacility.so")
set(NETWORKUTILITIES "$ENV{OTSDAQ_LIB}/libNetworkUtilities.so")
set(PROGRESSBAR "$ENV{OTSDAQ_LIB}/libProgressBar.so")
set(ROOTUTILITIES "$ENV{OTSDAQ_LIB}/libRootUtilities.so")
set(SOAPUTILITIES "$ENV{OTSDAQ_LIB}/libSOAPUtilities.so")
set(PLUGINMAKERS "$ENV{OTSDAQ_LIB}/libPluginMakers.so")
set(SUPERVISORINFO "$ENV{OTSDAQ_LIB}/libSupervisorInfo.so")
set(SYSTEMMESSENGER "$ENV{OTSDAQ_LIB}/libSystemMessenger.so")
set(TABLECORE "$ENV{OTSDAQ_LIB}/libTableCore.so")
set(OTSDAQ-CORE_TABLEPLUGINS_ARTDAQBOARDREADERTABLE_TABLE "$ENV{OTSDAQ_LIB}/libotsdaq-core_TablePlugins_ARTDAQBoardReaderTable_table.so")
set(OTSDAQ-CORE_TABLEPLUGINS_ARTDAQAGGREGATORTABLE_TABLE "$ENV{OTSDAQ_LIB}/libotsdaq-core_TablePlugins_ARTDAQAggregatorTable_table.so")
set(OTSDAQ-CORE_TABLEPLUGINS_ARTDAQBUILDERTABLE_TABLE "$ENV{OTSDAQ_LIB}/libotsdaq-core_TablePlugins_ARTDAQBuilderTable_table.so")
set(OTSDAQ-CORE_TABLEPLUGINS_FESLOWCONTROLSTABLE_TABLE "$ENV{OTSDAQ_LIB}/libotsdaq-core_TablePlugins_FESlowControlsTable_table.so")
set(OTSDAQ-CORE_TABLEPLUGINS_XDAQCONTEXTTABLE_TABLE "$ENV{OTSDAQ_LIB}/libotsdaq-core_TablePlugins_XDAQContextTable_table.so")
set(OTSDAQ-CORE_TABLEPLUGINS_DESKTOPICONTABLE_TABLE "$ENV{OTSDAQ_LIB}/libotsdaq-core_TablePlugins_DesktopIconTable_table.so")
set(OTSDAQ-CORE_TABLEPLUGINS_MESSAGEFACILITYTABLE_TABLE "$ENV{OTSDAQ_LIB}/libotsdaq-core_TablePlugins_MessageFacilityTable_table.so")
set(OTSDAQ-CORE_TABLEPLUGINS_ITERATETABLE_TABLE "$ENV{OTSDAQ_LIB}/libotsdaq-core_TablePlugins_IterateTable_table.so")
set(WEBUSERSUTILITIES "$ENV{OTSDAQ_LIB}/libWebUsersUtilities.so")
set(FECORE "$ENV{OTSDAQ_LIB}/libFECore.so")
set(XMLUTILITIES "$ENV{OTSDAQ_LIB}/libXmlUtilities.so")
set(MACROS "$ENV{OTSDAQ_LIB}/libMacros.so")
set(SLOWCONTROLSCORE "$ENV{OTSDAQ_LIB}/libSlowControlsCore.so")
set(WORKLOOPMANAGER "$ENV{OTSDAQ_LIB}/libWorkLoopManager.so")
set(WIZARDSUPERVISOR "$ENV{OTSDAQ_LIB}/libWizardSupervisor.so")
set(CODEEDITOR "$ENV{OTSDAQ_LIB}/libCodeEditor.so")
set(DATALOGGERAPP "$ENV{OTSDAQ_LIB}/libDataLoggerApp.so")
set(DISPATCHERAPP "$ENV{OTSDAQ_LIB}/libDispatcherApp.so")
set(EVENTBUILDERAPP "$ENV{OTSDAQ_LIB}/libEventBuilderApp.so")
  include_directories ( "$ENV{OTSDAQ_INC}" )

check_required_components(otsdaq)

